// pages/welfareMall/activityList/activityList.js

import WelfareMall from '../../../api/welfareMall';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
      type:2, //1免费 2 收费
      page:1,
      pageSize:10,
      list:[],
      init:true,
      config:{},
      noResult:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.data.page = 1;
    this.data.type = 2;
    this.getActivityList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
      console.log(this.data.noMore)
      if (this.data.noMore) {
        return
      }
      console.log(1231233)
      this.setData({
        page: this.data.page + 1
      })
      this.getActivityList()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  gotoFree:function () {
    this.setData({
      type:1,
      page:1,
      noMore: false,
      noResult:false,
    })
    this.getActivityList();
  },
  gotoPay:function () {
    this.setData({
      type:2,
      page:1,
      noMore: false,
      noResult:false,
    })
    this.getActivityList();
  },
  goCouponDetail:function(e){
    let activityId = e.currentTarget.dataset.id   
    wx.navigateTo({
      url: '/pages/welfareMall/activityInfo/activityInfo?activityId='+ activityId,
    })
  },

  // 1是免费，2是收费
   getActivityList: async function() {
    let res = await WelfareMall.getActivityList(this.data.type,this.data.page,this.data.pageSize)
    let init = true;
    if(res.data.list.length==0){
      init = false;
      this.setData({
        init: init,
        noMore: this.data.page == 1 ? false: true,
        noResult:this.data.page == 1 ? true: false,
      })
    }

    if(this.data.page!=1){
      var list = this.data.list.concat(...res.data.list)
    }else{
      var list = res.data.list
    }
    this.setData({
      list:list,
      config:res.data.config
    })
  }
})